internal::type_plus_align< T1, T2, REM > Struct Template Reference

type mimicking std::pair but with trailing fill to ensure each element of an array More...

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::type_plus_align< T1, T2, REM >:

## Public Attributes

char | first [sizeof(T1)]
T2 | second
char | fill1 [REM]

## Detailed Description

### template<typename T1, typename T2, size_t REM>
struct internal::type_plus_align< T1, T2, REM >

type mimicking std::pair but with trailing fill to ensure each element of an array

Definition at line 391 of file _flow_graph_types_impl.h.

## Member Data Documentation

## fill1

template<typename T1 , typename T2 , size_t REM>

char internal::type_plus_align< T1, T2, REM >::fill1[REM]

Definition at line 394 of file _flow_graph_types_impl.h.

## first

template<typename T1 , typename T2 , size_t REM>

char internal::type_plus_align< T1, T2, REM >::first[sizeof(T1)]

Definition at line 392 of file _flow_graph_types_impl.h.

Referenced by internal::item_buffer< T, A >::grow_my_array(), and internal::item_buffer< T, A >::set_my_item().

## second

template<typename T1 , typename T2 , size_t REM>

T2 internal::type_plus_align< T1, T2, REM >::second

Definition at line 393 of file _flow_graph_types_impl.h.

Referenced by internal::item_buffer< T, A >::destroy_item(), internal::item_buffer< T, A >::grow_my_array(), internal::item_buffer< T, A >::my_item_reserved(), internal::item_buffer< T, A >::my_item_valid(), internal::item_buffer< T, A >::release_item(), internal::item_buffer< T, A >::reserve_item(), and internal::item_buffer< T, A >::set_my_item().

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.